<?php
require "header.php";
$admin = true;
require "authenticatie.php";
include "transactions.php";

$artikelid = $_GET["artikelid"];

if ($_GET["actie"] == "wis" && $artikelid) { // artikel ingevoerd?
mysql_start_transaction();
$sql = "DELETE FROM Artikel WHERE ARTIKEL_ID=$artikelid";
if (!mysql_query($sql)) { // voer SQL code uit
echo "Verwijderen artikel mislukt!";
		mysql_rollback();
		exit;
} else {
	$sql = "DELETE FROM Categorie_per_Artikel WHERE ARTIKEL_ID=$artikelid";
	if (!mysql_query($sql)) { // voer SQL code uit
		echo "Verwijderen categorie mislukt!";
		mysql_rollback();
		exit;
	}
	$sql = "SELECT * FROM Afbeelding WHERE ARTIKEL_ID=$artikelid";
	$result = mysql_query($sql);
	if (mysql_num_rows($result) > 0) { // voer SQL code uit
		while ($rij = mysql_fetch_array($result)) {
			// bepaal afbeelding
			$afbeelding = $pad.$rij["AFBEELDING_ID"].$rij["Bestandstype"];
			unlink($afbeelding);
		}
		$sql = "DELETE FROM Afbeelding WHERE ARTIKEL_ID=$artikelid";
		if (!mysql_query($sql)) { // voer SQL code uit
			echo "Verwijderen afbeelding(en) mislukt!";
			mysql_rollback();
			exit;
		}
	}
}
mysql_commit();
echo "OK, het artikel is verwijderd!";	
} else {
?>
<p><div class="big">Artikel wissen</div><br>
Wis het volgende artikel:<br>
<?php
	$sql = "SELECT * FROM Artikel";
	$resultaat  = mysql_query($sql); // voer SQL code uit
	while ($rij = mysql_fetch_array($resultaat)) {
		$artikelid = $rij["ARTIKEL_ID"];
		echo $rij["Naam"]." <a href=\"".$_SERVER["PHP_SELF"]."?actie=wis&artikelid=$artikelid\" onClick=\"return Confirm(1)\">Wis</a><br>\n";
	}
}

require "footer.php";

?>